Package org.apache.torque.generator.outlet.java

## Class JavadocOutletTest

- java.lang.Object
- - org.apache.torque.generator.outlet.java.JavadocOutletTest

-     public class JavadocOutletTest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavadocOutletTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setUp()` |
    `void` | `testCompleteJavadoc()` | Tests that the javadoc contains both the body and the attributes and both are properly line wrapped.
    `void` | `testDoubleWrapAtDifferentAttributes()` | Checks that between different javadoc attributes, a double line wrap is inserted.
    `void` | `testDoubleWrapAtDifferentAttributesWithLineBreak()` | Checks that between different javadoc attributes where the first ends with a line break, a double line wrap is inserted.
    `void` | `testDoubleWrapAtNewAttribute()` | Checks that a new javadoc attribute causes a double line wrap
    `void` | `testRemoveEndAllButFirstCharacterRemoved()` | Tests that removeEnd works if everything but the first character is removed.
    `void` | `testRemoveEndEmptyString()` | Tests that removeEnd works for an empty String.
    `void` | `testRemoveEndEverythingRemoved()` | Tests that removeEnd works if everything is removed.
    `void` | `testRemoveEndNothingRemoved()` | Tests that removeEnd works if nothing is removed.
    `void` | `testRemoveEndOnlyLastCharacterRemoved()` | Tests that removeEnd works if only the last character is removed.
    `void` | `testRemoveEndPartRemoved()` | Tests that removeEnd works if a part is removed.
    `void` | `testSetIndent()` | Checks that setIndent works as expected.
    `void` | `testSetLineBreak()` | Checks that setLineBreak works as expected.
    `void` | `testSetLineBreakIllegalInput()` | Checks that setLineBreak works as expected.
    `void` | `testSetWrapAfterCharacters()` | Checks that setWrapAfterCharacters works as expected.
    `void` | `testSingleWrapAtAttribute()` | Checks that a preceding \n or two same javadoc attribute cause a single line wrap
    `void` | `testSingleWrapAtAttributeWithLineBreak()` | Checks that a preceding \n or two same javadoc attribute cause a single line wrap
    `void` | `testSpaceAtEndRemoved()` | Checks that a space can cause a line break and the space is removed in the output.
    `void` | `testWrapAfterNotRemovedCharacters()` | Checks that a break-after character can cause a line break , and that a single space after such a break is removed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavadocOutletTest

          public JavadocOutletTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

    - #### testCompleteJavadoc

          public void testCompleteJavadoc()
                                   throws Exception

      Tests that the javadoc contains both the body and the attributes and both are properly line wrapped.
      Throws:
        `Exception`

    - #### testWrapAfterNotRemovedCharacters

          public void testWrapAfterNotRemovedCharacters()

      Checks that a break-after character can cause a line break , and that a single space after such a break is removed. The boundary cases maxLineLength + 1 and maxLineLength are checked.

    - #### testSpaceAtEndRemoved

          public void testSpaceAtEndRemoved()

      Checks that a space can cause a line break and the space is removed in the output. The boundary cases maxLineLength + 1 and maxLineLength are checked.

    - #### testDoubleWrapAtNewAttribute

          public void testDoubleWrapAtNewAttribute()

      Checks that a new javadoc attribute causes a double line wrap

    - #### testDoubleWrapAtDifferentAttributes

          public void testDoubleWrapAtDifferentAttributes()

      Checks that between different javadoc attributes, a double line wrap is inserted.

    - #### testDoubleWrapAtDifferentAttributesWithLineBreak

          public void testDoubleWrapAtDifferentAttributesWithLineBreak()

      Checks that between different javadoc attributes where the first ends with a line break, a double line wrap is inserted.

    - #### testSingleWrapAtAttribute

          public void testSingleWrapAtAttribute()

      Checks that a preceding \n or two same javadoc attribute cause a single line wrap

    - #### testSingleWrapAtAttributeWithLineBreak

          public void testSingleWrapAtAttributeWithLineBreak()

      Checks that a preceding \n or two same javadoc attribute cause a single line wrap

    - #### testSetWrapAfterCharacters

          public void testSetWrapAfterCharacters()

      Checks that setWrapAfterCharacters works as expected.

    - #### testSetIndent

          public void testSetIndent()

      Checks that setIndent works as expected.

    - #### testSetLineBreak

          public void testSetLineBreak()

      Checks that setLineBreak works as expected.

    - #### testSetLineBreakIllegalInput

          public void testSetLineBreakIllegalInput()

      Checks that setLineBreak works as expected.

    - #### testRemoveEndEmptyString

          public void testRemoveEndEmptyString()

      Tests that removeEnd works for an empty String.

    - #### testRemoveEndEverythingRemoved

          public void testRemoveEndEverythingRemoved()

      Tests that removeEnd works if everything is removed.

    - #### testRemoveEndNothingRemoved

          public void testRemoveEndNothingRemoved()

      Tests that removeEnd works if nothing is removed.

    - #### testRemoveEndPartRemoved

          public void testRemoveEndPartRemoved()

      Tests that removeEnd works if a part is removed.

    - #### testRemoveEndAllButFirstCharacterRemoved

          public void testRemoveEndAllButFirstCharacterRemoved()

      Tests that removeEnd works if everything but the first character is removed.

    - #### testRemoveEndOnlyLastCharacterRemoved

          public void testRemoveEndOnlyLastCharacterRemoved()

      Tests that removeEnd works if only the last character is removed.